import { PropType } from 'vue';
import { CssClass } from '../../helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    size: {
        type: PropType<"sm" | "md" | "lg">;
        default: string;
    };
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: null;
    };
    href: {
        type: PropType<string | null>;
        default: null;
    };
    newWindow: {
        type: PropType<boolean>;
        default: boolean;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    color: {
        type: PropType<string>;
        default: string;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    rightIcon: {
        type: PropType<string | null>;
        default: null;
    };
    title: {
        type: PropType<string | null>;
        default: null;
    };
    block: {
        type: PropType<boolean>;
        default: boolean;
    };
    plain: {
        type: PropType<boolean>;
        default: boolean;
    };
    hoverable: {
        type: PropType<boolean>;
        default: boolean;
    };
    uppercase: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradient: {
        type: PropType<string | null>;
        default: null;
    };
    theme: {
        type: PropType<string | null>;
        default: null;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        'is-dark': any;
        'is-light': any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        'is-bordered': any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        'is-rounded': any;
        'is-rounded-lg': any;
        'is-round': any;
    }>;
    elevatedClass: import("vue").ComputedRef<{
        'is-elevated': any;
    }>;
    component: import("vue").ComputedRef<"RouterLink" | "a" | "span">;
    target: import("vue").ComputedRef<"_blank" | "_self">;
}, {
    isFocused: boolean;
}, {
    classes(): CssClass[];
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: PropType<"sm" | "md" | "lg">;
        default: string;
    };
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: null;
    };
    href: {
        type: PropType<string | null>;
        default: null;
    };
    newWindow: {
        type: PropType<boolean>;
        default: boolean;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    color: {
        type: PropType<string>;
        default: string;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    rightIcon: {
        type: PropType<string | null>;
        default: null;
    };
    title: {
        type: PropType<string | null>;
        default: null;
    };
    block: {
        type: PropType<boolean>;
        default: boolean;
    };
    plain: {
        type: PropType<boolean>;
        default: boolean;
    };
    hoverable: {
        type: PropType<boolean>;
        default: boolean;
    };
    uppercase: {
        type: PropType<boolean>;
        default: boolean;
    };
    gradient: {
        type: PropType<string | null>;
        default: null;
    };
    theme: {
        type: PropType<string | null>;
        default: null;
    };
}>>, {
    color: string;
    gradient: string | null;
    size: "sm" | "md" | "lg";
    bordered: boolean;
    dark: boolean;
    light: boolean;
    leftIcon: string | null;
    rightIcon: string | null;
    disabled: boolean;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    title: string | null;
    elevated: boolean;
    loading: boolean;
    block: boolean;
    plain: boolean;
    hoverable: boolean;
    uppercase: boolean;
    theme: string | null;
    to: string | Record<string, any>;
    href: string | null;
    newWindow: boolean;
}, {}>;
export default _default;
