import { PropType } from 'vue';
import { CssClass } from '../../helpers/css-classes';
import { SelectItem, SelectItemKey, SelectValue } from './models';
import { TooltipPosition } from '../../models';
declare const _default: import("vue").DefineComponent<{
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<"sm" | "md" | "lg">;
        default: string;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<SelectValue>;
        default: null;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    items: {
        type: PropType<SelectItem[]>;
        required: true;
    };
    hideArrow: {
        type: PropType<boolean>;
        default: boolean;
    };
    label: {
        type: PropType<string | null>;
        default: null;
    };
    placeholder: {
        type: PropType<string | null>;
        default: null;
    };
    maxHeight: {
        type: PropType<number>;
        default: number;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    labelColor: {
        type: PropType<string>;
        default: string;
    };
    search: {
        type: PropType<boolean>;
        default: boolean;
    };
    searchPlaceholder: {
        type: PropType<string | null>;
        default: null;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    leftIconClickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIconColor: {
        type: PropType<string | null>;
        default: null;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    externalSearch: {
        type: PropType<boolean>;
        default: boolean;
    };
    listPosition: {
        type: PropType<TooltipPosition | null>;
        default: null;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        'is-dark': any;
        'is-light': any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        'is-bordered': any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        'is-rounded': any;
        'is-rounded-lg': any;
        'is-round': any;
    }>;
    bem: ({ b, e, m }: import("../../models").BemItem) => string[];
    selectedItems: import("vue").ComputedRef<SelectItem[]>;
    isItemSelected: (key: SelectItemKey) => boolean;
    selectedItem: import("vue").ComputedRef<SelectItem | null>;
    isExpanded: import("vue").Ref<boolean>;
    searchQuery: import("vue").Ref<string>;
    handleItemClick: (item: SelectItem, close: any) => void;
    clearSelection: () => void;
    removeItemFromSelected: (key: SelectItemKey) => void;
    searchInput: import("vue").Ref<HTMLInputElement | null>;
    handleOpen: () => void;
    handleClose: () => void;
}, unknown, {
    computedSearchPlaceholder(): string;
    classes(): CssClass[];
    labelClasses(): CssClass[];
    arrowClasses(): CssClass[];
    dropdownClasses(): CssClass[];
    computedPlaceholder(): string | null;
    selectedItemText(): string | null;
    filteredItems(): SelectItem[];
}, {
    itemClasses(item: SelectItem): CssClass[];
    onLeftIconClick(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click-left-icon" | "search" | "select" | "change" | "update:model-value")[], "click-left-icon" | "search" | "select" | "change" | "update:model-value", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<"sm" | "md" | "lg">;
        default: string;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<SelectValue>;
        default: null;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    items: {
        type: PropType<SelectItem[]>;
        required: true;
    };
    hideArrow: {
        type: PropType<boolean>;
        default: boolean;
    };
    label: {
        type: PropType<string | null>;
        default: null;
    };
    placeholder: {
        type: PropType<string | null>;
        default: null;
    };
    maxHeight: {
        type: PropType<number>;
        default: number;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    labelColor: {
        type: PropType<string>;
        default: string;
    };
    search: {
        type: PropType<boolean>;
        default: boolean;
    };
    searchPlaceholder: {
        type: PropType<string | null>;
        default: null;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    leftIconClickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIconColor: {
        type: PropType<string | null>;
        default: null;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    externalSearch: {
        type: PropType<boolean>;
        default: boolean;
    };
    listPosition: {
        type: PropType<TooltipPosition | null>;
        default: null;
    };
}>> & {
    "onClick-left-icon"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    onSelect?: ((...args: any[]) => any) | undefined;
    onSearch?: ((...args: any[]) => any) | undefined;
    "onUpdate:model-value"?: ((...args: any[]) => any) | undefined;
}, {
    size: "sm" | "md" | "lg";
    error: boolean;
    bordered: boolean;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    modelValue: SelectValue;
    placeholder: string | null;
    label: string | null;
    leftIcon: string | null;
    leftIconClickable: boolean;
    leftIconColor: string | null;
    disabled: boolean;
    dark: boolean;
    light: boolean;
    search: boolean;
    maxHeight: number;
    listPosition: TooltipPosition | null;
    multiple: boolean;
    clearable: boolean;
    persistent: boolean;
    hideArrow: boolean;
    labelColor: string;
    searchPlaceholder: string | null;
    externalSearch: boolean;
}, {}>;
export default _default;
