import { PropType } from 'vue';
import { CssClass } from '../../helpers/css-classes';
import { TooltipPosition } from '../../models';
declare const _default: import("vue").DefineComponent<{
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    color: {
        type: PropType<string>;
        default: string;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    outlined: {
        type: PropType<boolean>;
        default: boolean;
    };
    clickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    manual: {
        type: PropType<boolean>;
        default: boolean;
    };
    top: {
        type: PropType<boolean>;
        default: boolean;
    };
    right: {
        type: PropType<boolean>;
        default: boolean;
    };
    left: {
        type: PropType<boolean>;
        default: boolean;
    };
    bottom: {
        type: PropType<boolean>;
        default: boolean;
    };
    mouseenterDelay: {
        type: PropType<number>;
        default: number;
    };
    mouseleaveDelay: {
        type: PropType<number>;
        default: number;
    };
    noWrap: {
        type: PropType<boolean>;
        default: boolean;
    };
    showBlend: {
        type: PropType<boolean>;
        default: boolean;
    };
    component: {
        type: (ObjectConstructor | StringConstructor)[];
        default: string;
    };
    position: {
        type: PropType<TooltipPosition | null>;
        default: null;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        'is-dark': any;
        'is-light': any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        'is-bordered': any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        'is-rounded': any;
        'is-rounded-lg': any;
        'is-round': any;
    }>;
    elevatedClass: import("vue").ComputedRef<{
        'is-elevated': any;
    }>;
    isActive: import("vue").Ref<boolean>;
    isHovered: import("vue").Ref<boolean>;
    isHidden: import("vue").Ref<boolean>;
    activator: import("vue").Ref<HTMLElement | null>;
    tooltip: import("vue").Ref<HTMLElement | null>;
    calculatePosition: () => void;
    handleScroll: () => void;
    open: () => void;
    close: () => void;
    toggle: () => void;
}, unknown, {
    isClickable(): boolean;
    isHoverable(): boolean;
    tooltipClasses(): CssClass[];
}, {
    onMouseenter(): void;
    onMouseleave(): void;
    onClick(): void;
    onOutsideClick(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "open")[], "close" | "open", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    color: {
        type: PropType<string>;
        default: string;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    outlined: {
        type: PropType<boolean>;
        default: boolean;
    };
    clickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    manual: {
        type: PropType<boolean>;
        default: boolean;
    };
    top: {
        type: PropType<boolean>;
        default: boolean;
    };
    right: {
        type: PropType<boolean>;
        default: boolean;
    };
    left: {
        type: PropType<boolean>;
        default: boolean;
    };
    bottom: {
        type: PropType<boolean>;
        default: boolean;
    };
    mouseenterDelay: {
        type: PropType<number>;
        default: number;
    };
    mouseleaveDelay: {
        type: PropType<number>;
        default: number;
    };
    noWrap: {
        type: PropType<boolean>;
        default: boolean;
    };
    showBlend: {
        type: PropType<boolean>;
        default: boolean;
    };
    component: {
        type: (ObjectConstructor | StringConstructor)[];
        default: string;
    };
    position: {
        type: PropType<TooltipPosition | null>;
        default: null;
    };
}>> & {
    onClose?: ((...args: any[]) => any) | undefined;
    onOpen?: ((...args: any[]) => any) | undefined;
}, {
    color: string;
    left: boolean;
    right: boolean;
    top: boolean;
    bottom: boolean;
    bordered: boolean;
    elevated: boolean;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    disabled: boolean;
    dark: boolean;
    light: boolean;
    clickable: boolean;
    component: string | Record<string, any>;
    position: TooltipPosition | null;
    showBlend: boolean;
    outlined: boolean;
    manual: boolean;
    mouseenterDelay: number;
    mouseleaveDelay: number;
    noWrap: boolean;
}, {}>;
export default _default;
