import { PropType } from 'vue';
import { CssClass } from '../../helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<boolean>;
        required: true;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    closeOnEsc: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<"sm" | "md" | "lg" | null>;
        default: null;
        validator: (val: string) => boolean;
    };
    position: {
        type: PropType<"left" | "right" | "top" | "bottom" | "middle" | "fullscreen">;
        default: string;
        validator: (val: string) => boolean;
    };
    width: {
        type: PropType<number | null>;
        default: null;
    };
    transition: {
        type: PropType<string | null>;
        default: null;
    };
}, {
    borderedClass: import("vue").ComputedRef<{
        'is-bordered': any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        'is-rounded': any;
        'is-rounded-lg': any;
        'is-round': any;
    }>;
}, {
    scrollPosition: number;
    isContentShown: boolean;
    isBlendShown: boolean;
}, {
    classes(): CssClass[];
    middleClasses(): CssClass[];
    cardStyle(): any;
    cardClasses(): CssClass[];
}, {
    enableScrolling(): void;
    disableScrolling(): void;
    showBlend(): void;
    hideBlend(): void;
    openHandler(): void;
    closeHandler(): void;
    changeValueHandler(val: boolean): void;
    close(): void;
    onClickOutside(): void;
    onEsc(): void;
    onContentLoad(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "update:modelValue")[], "close" | "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<boolean>;
        required: true;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    closeOnEsc: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<"sm" | "md" | "lg" | null>;
        default: null;
        validator: (val: string) => boolean;
    };
    position: {
        type: PropType<"left" | "right" | "top" | "bottom" | "middle" | "fullscreen">;
        default: string;
        validator: (val: string) => boolean;
    };
    width: {
        type: PropType<number | null>;
        default: null;
    };
    transition: {
        type: PropType<string | null>;
        default: null;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onClose?: ((...args: any[]) => any) | undefined;
}, {
    size: "sm" | "md" | "lg" | null;
    bordered: boolean;
    elevated: boolean;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    width: number | null;
    transition: string | null;
    persistent: boolean;
    closeOnEsc: boolean;
    position: "left" | "right" | "top" | "bottom" | "middle" | "fullscreen";
}, {}>;
export default _default;
