import { PropType } from 'vue';
import { TableHeader, TableItem } from './models';
import { CssClass } from '../../helpers/css-classes';
declare const _default: import("vue").DefineComponent<{
    padding: {
        type: PropType<import("../../composables/spacing/models").Spacing>;
        default: null;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    name: {
        type: PropType<string>;
        default: string;
    };
    headers: {
        type: PropType<TableHeader[]>;
        required: true;
    };
    items: {
        type: PropType<TableItem[]>;
        required: true;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    expandable: {
        type: PropType<boolean>;
        default: boolean;
    };
    multipleExpand: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideMainContentOnExpand: {
        type: PropType<boolean>;
        default: boolean;
    };
    expandOnRowClick: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    sortable: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        'is-dark': any;
        'is-light': any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        'is-rounded': any;
        'is-rounded-lg': any;
        'is-round': any;
    }>;
    elevatedClass: import("vue").ComputedRef<{
        'is-elevated': any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        'is-bordered': any;
    }>;
    paddingClass: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
}, {
    expandedItems: TableItem[];
}, {
    classes(): CssClass[];
    headerCellClasses(): CssClass[];
    columnsCount(): number;
    headersWidth(): number;
}, {
    isExpanded(item: TableItem): boolean;
    getExpandIcon(item: TableItem): string;
    toggleExpansion(item: TableItem): void;
    handleRowClick(item: TableItem): void;
    rowClasses(item: TableItem): CssClass[];
    cellClasses(item: TableItem, header: TableHeader | null): CssClass[];
    cellStyles({ width, align, strong }: TableHeader): any;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    padding: {
        type: PropType<import("../../composables/spacing/models").Spacing>;
        default: null;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    elevated: {
        type: PropType<boolean>;
        default: boolean;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    name: {
        type: PropType<string>;
        default: string;
    };
    headers: {
        type: PropType<TableHeader[]>;
        required: true;
    };
    items: {
        type: PropType<TableItem[]>;
        required: true;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    expandable: {
        type: PropType<boolean>;
        default: boolean;
    };
    multipleExpand: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideMainContentOnExpand: {
        type: PropType<boolean>;
        default: boolean;
    };
    expandOnRowClick: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    sortable: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    bordered: boolean;
    elevated: boolean;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    name: string;
    dark: boolean;
    light: boolean;
    loading: boolean;
    padding: import("../../composables/spacing/models").Spacing;
    fixedHeader: boolean;
    expandable: boolean;
    multipleExpand: boolean;
    hideMainContentOnExpand: boolean;
    expandOnRowClick: boolean;
    sortable: boolean;
}, {}>;
export default _default;
